LIKWID-TOPOLOGY(1)

NAME
likwid-topology - print thread, cache, NUMA and Nvidia GPU topology

SYNOPSIS
likwid-topology [-hvgcCG] [-V level] [-o output_file]

DESCRIPTION
likwid-topology is a command line application to print the thread and cache topology on multicore x86, ARM and POWER processors and Nvidia GPUs. Used with mono spaced fonts it can draw the processor topology of a machine in ASCII art. Beyond topology likwid-topology determines the clock of a processor and prints detailed informations about the caches hierarchy. When compiled with NVIDIA_INTERFACE=true in config.mk and the CUDA/CUPTI library reachable at runtime, likwid-topology prints information about the Nvidia GPUs in the system.

OPTIONS

-h, --help
    prints a help message to standard output, then exits.

-v, --version
    prints version information to standard output, then exits.

-V, --verbose <level>
    sets the verbosity level of LIKWID's topology backend. Possible levels range from 0 to 3.

-g  prints topology information in ASCII art. Best viewed with monospaced font. The GPU topology is not printed.

-c, --caches
    prints detailed information about cache hierarchy

-C, --clock
    measures and output the processor clock. This involves a longer run time of likwid-topology.

-G, --gpus
    prints detailed information about the Nvidia GPUs in the system (if compiled with Nvidia support)

-o, --output <file>
    write the output to file instead of stdout. Likwid applies filter scripts according to filename suffix. Currently available scripts are csv, xml and json. You can place additional filter scripts in <INSTALLEDPREFIX>/share/likwid/filter.

AUTHOR
Written by Thomas Gruber <thomas.roehl@googlemail.com>.

BUGS
Report Bugs on <https://github.com/RRZE-HPC/likwid/issues>.

SEE ALSO
likwid-perfctr(1), likwid-features(1), likwid-pin(1),